Subject: Re: bug#22891: 25.0.92; set-fringe-mode with left fringe 0 breaks window width calculations on Mac OS (again)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Apr 2016 11:25:48 +0300

> Date: Fri, 15 Apr 2016 10:05:19 +0200
> From: Anders Lindgren <[email-masked]>
> Cc: [email-masked], martin rudalics <[email-masked]>
> 
>  To see what I meant, create a new buffer with "C-x b", then paste the
>  same text there, after setting the left fringe width to zero.
> 
> Yes, now I see it. (However, the continuation characters disappeared when L2R text was entered on the line
> before the R2L text.)

If there was no empty line between the L2R and the R2L lines, then
inserting that L2R line made the entire paragraph be L2R, and you are
back at what happened in *scratch*.  (How Emacs determines the base
paragraph direction is documented in the Emacs User manual, in the
node "Bidirectional Editing".)

> In addition, I can think of a use case. If you want to create a window of a specific width, excluding the
> continuation glyph, this can be used:
> 
> (split-window-right (if (continuation-glyph-visible-p (selected-window))

You can implement this using window-max-chars-per-line.